Subject: bug#17517: closed (Re: bug#17517: Eager macro-expansion failure: (error "Lisp nesting, exceeds `max-lisp-eval-depth'"))

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 08 Apr 2015 15:26:03 +0000

Your bug report

#17517: Eager macro-expansion failure: (error "Lisp nesting exceeds `max-lisp-eval-depth'")

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
17517: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=17517
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#17517: Eager macro-expansion failure: (error "Lisp nesting, exceeds `max-lisp-eval-depth'")
From: Eli Zaretskii <[email-masked]>
To: Angelo Graziosi <[email-masked]>
Cc: [email-masked], [email-masked], [email-masked]
Date: Wed, 08 Apr 2015 18:25:31 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Wed, 08 Apr 2015 14:16:42 +0200
> From: Angelo Graziosi <[email-masked]>
> CC: [email-masked], [email-masked], [email-masked]
> 
> 
> Il 07/04/2015 08:15, Eli Zaretskii ha scritto:
> >> Date: Mon, 06 Apr 2015 21:56:02 +0200
> >> From: Angelo Graziosi <[email-masked]>
> >> CC: [email-masked], [email-masked], [email-masked]
> >>
> >> Il 06/04/2015 18:30, Eli Zaretskii ha scritto:
> >>>> Date: Mon, 06 Apr 2015 17:59:50 +0200
> >>>> From: Angelo Graziosi <[email-masked]>
> >>>> Cc: [email-masked], [email-masked]
> >>>>
> >>>> I see these failures building current Emacs-git master on MSYS2-MINGW64,
> >>>> but if I remove the .git directory from the git cloned tree (*), the
> >>>> failures are absent.
> >>>
> >>> Do the problems go away if you enlarge the value of
> >>> max-lisp-eval-depth passed to Emacs during the build?
> >>>
> >>
> >> I have tried the same value suggested in
> >> http://debbugs.gnu.org/cgi/bugreport.cgi?bug=17517 (message #23), i.e.
> >>
> >>     max_lisp_eval_depth = 800
> >>
> >> and the failures are removed.
> >
> > So perhaps it's time for enlarging that value.
> >
> 
> Who should do that?

Somebody.

Done.

Subject: Eager macro-expansion failure: (error "Lisp nesting exceeds `max-lisp-eval-depth'")
From: Juanma Barranquero <[email-masked]>
To: Bug-Gnu-Emacs <[email-masked]>
Date: Sat, 17 May 2014 10:15:48 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Package: emacs
Version: 24.4.50

I just bootstrapped (or in fact, build at all) after two weeks and
suddenly I'm getting a lot of these:

Wrote c:/Devel/emacs/repo/trunk/lisp/calendar/cal-loaddefs.el
Eager macro-expansion failure: (error "Lisp nesting exceeds
`max-lisp-eval-depth'")
[...]
Eager macro-expansion failure: (error "Lisp nesting exceeds
`max-lisp-eval-depth'")
Generating autoloads for appt.el...

Wrote c:/Devel/emacs/repo/trunk/lisp/calendar/diary-loaddefs.el
Eager macro-expansion failure: (error "Lisp nesting exceeds
`max-lisp-eval-depth'")
[...]
Eager macro-expansion failure: (error "Lisp nesting exceeds
`max-lisp-eval-depth'")
Generating autoloads for appt.el...

Wrote c:/Devel/emacs/repo/trunk/lisp/calendar/hol-loaddefs.el
Eager macro-expansion failure: (error "Lisp nesting exceeds
`max-lisp-eval-depth'")
[...]
Eager macro-expansion failure: (error "Lisp nesting exceeds
`max-lisp-eval-depth'")
Generating autoloads for appt.el...

Wrote c:/Devel/emacs/repo/trunk/lisp/mh-e/mh-loaddefs.el
Eager macro-expansion failure: (error "Lisp nesting exceeds
`max-lisp-eval-depth'")
[...]
Eager macro-expansion failure: (error "Lisp nesting exceeds
`max-lisp-eval-depth'")
Generating autoloads for mh-acros.el...

Wrote c:/Devel/emacs/repo/trunk/lisp/net/tramp-loaddefs.el
Eager macro-expansion failure: (error "Lisp nesting exceeds
`max-lisp-eval-depth'")
[...]
Eager macro-expansion failure: (error "Lisp nesting exceeds
`max-lisp-eval-depth'")
Generating autoloads for ange-ftp.el...

Wrote c:/Devel/emacs/repo/trunk/lisp/loaddefs.el
Eager macro-expansion failure: (error "Lisp nesting exceeds
`max-lisp-eval-depth'")
[...]
Eager macro-expansion failure: (error "Lisp nesting exceeds
`max-lisp-eval-depth'")
Generating autoloads for align.el...

EMACSLOADPATH= '../src/bootstrap-emacs.exe' -batch --no-site-file
--no-site-lisp -l autoload \
    --eval '(setq generate-autoload-cookie ";;;###obsolete-autoload")' \
    --eval '(setq generated-autoload-file (expand-file-name
(unmsys--file-name "./loaddefs.el")))' \
    -f batch-update-autoloads ./obsolete
Eager macro-expansion failure: (error "Lisp nesting exceeds
`max-lisp-eval-depth'")
[...]
Eager macro-expansion failure: (error "Lisp nesting exceeds
`max-lisp-eval-depth'")
Generating autoloads for obsolete/abbrevlist.el...

Saving file c:/Devel/emacs/repo/trunk/lisp/international/uni-name.el...
Eager macro-expansion failure: (error "Lisp nesting exceeds
`max-lisp-eval-depth'")
[...]
Eager macro-expansion failure: (error "Lisp nesting exceeds
`max-lisp-eval-depth'")
Wrote c:/Devel/emacs/repo/trunk/lisp/international/uni-name.el

Updating c:/Devel/emacs/repo/trunk/lisp/leim/leim-list.el ...
Eager macro-expansion failure: (error "Lisp nesting exceeds
`max-lisp-eval-depth'")
[...]
Eager macro-expansion failure: (error "Lisp nesting exceeds
`max-lisp-eval-depth'")
Checking c:/Devel/emacs/repo/trunk/lisp/leim/quail/ZOZY.el ...